milliSeconds.h File Reference
`#include <chrono>`
`#include <stdexcept>`

Go to the source code of this file.

## Classes

struct | osl::misc::NoMoreTime

## Namespaces

namespace | osl
namespace | osl::misc

## Typedefs

typedef std::chrono::high_resolution_clock | osl::misc::clock
typedef std::chrono::time_point< clock > | osl::misc::time_point
typedef std::chrono::milliseconds | osl::misc::milliseconds
typedef std::chrono::high_resolution_clock | osl::clock
typedef std::chrono::time_point< clock > | osl::time_point
typedef std::chrono::milliseconds | osl::milliseconds

## Functions

template<class Duration>
double | osl::misc::toSeconds (Duration duration)
template<class Duration>
long long | osl::misc::msec (Duration duration)
double | osl::misc::elapsedSeconds (time_point start)
double | osl::elapsedSeconds (time_point start)
template<class Duration>
double | osl::toSeconds (Duration duration)
template<class Duration>
long long | osl::msec (Duration duration)